%define debug_package %{nil}
%define _build_id_links none
%define _disable_source_fetch 0

%define _name cyber-workspace

%define base_ver %(curl -fsSL https://git.omame.tech/CyberOS/cyber-build-scripts/raw/branch/master/stable/%{_name}/PKGBUILD | grep pkgver | cut -d '=' -f 2 | head -n1)
%define git_refspec %(curl -fsSL -X GET "https://git.omame.tech/api/v1/repos/CyberOS/%{_name}/commits" -H  "accept: application/json" | jq -r '.[0].sha')
%define git_refspec_short %(echo %{git_refspec} | cut -c -7)
%define build_timestamp %(date +%s)

Name: %{_name}
#Version: 1.1.0
Version: %{base_ver}git.%{build_timestamp}.%{git_refspec_short}
Release: 0%{?dist}
BuildRequires: jq
Summary: Cyber Workspace
License: GPLv3+
URL: https://getcyberos.org
BuildRequires: cmake pkgconfig
BuildRequires: extra-cmake-modules
BuildRequires: polkit-devel polkit-qt5-1-devel libSM-devel xcb-util-devel xcb-util-image-devel libXtst-devel pulseaudio-libs-devel
BuildRequires: qt5-qtbase-devel qt5-qtx11extras-devel qt5-qttools-devel qt5-qtdeclarative-devel qt5-qtquickcontrols2-devel qt5-linguist
BuildRequires: kf5-kwindowsystem-devel kf5-kwayland-devel
BuildRequires: meuikit-devel
BuildRequires: qhotkey-devel
Requires: meuikit
Requires:	xdg-user-dirs
#Source0: https://git.omame.tech/CyberOS/cyber-workspace/archive/%{version}.tar.gz
Source0: https://git.omame.tech/CyberOS/%{name}/archive/%{git_refspec}.tar.gz
Patch0: https://github.com/korewaChino/cyberdesktop-fedora/raw/2b17b331be9e1bfd339df00a9a1495dbfd52e9e0/patches/cyber-workspace/0000-hotkeys-fix-cmakelists.patch

%description
Applications that build the Cyber Desktop environment

%prep
%setup -qn %{name}
# patch hotkeys/CMakeLists.txt to properly use QHotkey
patch hotkeys/CMakeLists.txt -i %{PATCH0}

%build
%{set_build_flags}
cmake -DCMAKE_INSTALL_PREFIX:PATH=/usr .
make %{?_smp_mflags}

%install
%make_install

%files 
%license LICENSE
/etc/xdg/autostart/cyber-polkit-agent.desktop
%{_bindir}/cyber-desktop-daemon
%{_bindir}/cyber-hotkeys
%{_bindir}/cyber-notification-daemon
%{_bindir}/cyber-polkit-agent
%{_bindir}/cyber-screen-brightness
%{_bindir}/cyber-session
%{_bindir}/cyber-settings-daemon
%{_bindir}/cyber-shutdown
%{_bindir}/cyber-xembedsniproxy
%{_datadir}/cyber-desktop-daemon
%{_datadir}/cyber-polkit-agent/
%{_datadir}/cyber-settings-daemon/
%{_datadir}/cyber-shutdown/
%{_datadir}/polkit-1/actions/org.cyber.brightness.pkexec.policy
%{_datadir}/xsessions/cyber-xsession.desktop
%changelog
* Tue Aug 03 2021 korewaChino <crkza1134@gmail.com> - 1.0.3
- Initial version
